LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Installing and making Wine Working on Slackware14 and x64 (http://www.linuxquestions.org/questions/slackware-14/installing-and-making-wine-working-on-slackware14-and-x64-4175475187/)

codeman1234 08-29-2013 10:26 AM

Installing and making Wine Working on Slackware14 and x64
 
Hello,

I am trying to install wine on Slackware 14 on a 64 bits computer, the new version of wine 1.7, does it works right or still gives issues the 64 bits version of wine??

Can someone let me know how can I install it or let me know a tutorial since it is been pretty hard to install, since I tried to install the one of Slackbuilds but, it seems they only have the 32 bit version of wine, I also tried to installed the Alien Bob's Multilib packages that some blogs say is required and it does not seem to be updated at all.

I would really appreciatte some help with this, since to go to the right direction.

Thanks again!!

cwizardone 08-29-2013 10:40 AM

This thread should be in the Slackware forum, but, for now....

Quite the contrary. The multilib packages are updated on a regular basis, and, yes, you will need them to run WINE in Slackware64.

If you follow these instructions, to the letter, you should have no problems,

http://alien.slackbook.org/dokuwiki/...kware:multilib


The latest multilib packeages can be found here,

http://connie.slackware.com/~alien/multilib/

Read the instructions and then scroll to the bottom of the page.

Cheers!

dr.s 08-29-2013 11:52 PM

Quote:

Originally Posted by codeman1234 (Post 5018294)
Can someone let me know how can I install it or let me know a tutorial since it is been pretty hard to install, since I tried to install the one of Slackbuilds but, it seems they only have the 32 bit version of wine, I also tried to installed the Alien Bob's Multilib packages that some blogs say is required and it does not seem to be updated at all.

I would really appreciatte some help with this, since to go to the right direction.

Thanks again!!

Try the 32bit wine binary from http://www.winehq.org/download/? installing it is as simple as
Code:

installpkg wine-1.7.0-i486-1sg.txz
The 32bit Wine binary works out of the box on 32bit Slackware. On 64bit Slackware install the multilibs first (as per cwizardone's post) then install the 32bit wine binary and you're good to go.

Didier Spaier 08-30-2013 12:04 AM

Quote:

Originally Posted by dr.s (Post 5018683)
Try the 32bit wine binary from http://www.winehq.org/download/? installing it is as simple as
Code:

installpkg wine-1.7.0-i486-1sg.txz

On http://www.winehq.org/download/, the link to Slackware packages is wrong at time of writing. Better use this one:
http://sourceforge.net/projects/wine...?source=navbar

EDIT Plus, I just installed wine-1.7.0-x86_64-1sg.txz out of curiosity and it doen't work as-is.

Perhaps missing dependencies? After installation, as advised read carefully /usr/doc/wine-<release>/README.slackware, e.g. /usr/doc/wine-1.7.0/README.slackware.

I won't go further as I don't need wine ATM ;)

EDIT2. My bad, I installed a 64bit package atop a 32bit Slackware. Works with the 32bit package, as stated since by Ravierux. My excuse is that I didn't drink my morning coffee yet :confused:

Raveriux 08-30-2013 01:01 AM

Have tried several versions of wine x86_64 packages from official website. Wont work, but 32bit packages works well. So if you have Slackware64, then you need multilib packages and 32bit wine from official website. That must work.

cwizardone 08-30-2013 10:15 AM

Alien Bob makes WINE packages available for Slackware, http://taper.alienbase.nl/mirrors/pe...n/slackbuilds/

Scroll down the page until you get to, wine.
It isn't the latest version of WINE, but it works. As previously pointed out, Alien Bob's Multilib packages are needed to run WINE in Slackware64.

jostber 08-30-2013 01:31 PM

A bit strange that the Wine X86_64 package does not work on a 64bit installation. Anyone knows why?

Raveriux 08-30-2013 02:03 PM

Quote:

Originally Posted by jostber (Post 5019014)
A bit strange that the Wine X86_64 package does not work on a 64bit installation. Anyone knows why?

Wine x86_64 needs 64 bit windows programs to run I think. Also there are a lot of bugs for that: http://bugs.winehq.org/buglist.cgi?k...resolution=---

ReaperX7 09-03-2013 06:44 PM

Wine64 builds fine for me.


All times are GMT -5. The time now is 10:38 PM.